---
title: Headers.keys()
slug: Web/API/Headers/keys
tags:
  - API
  - Experimental
  - Fetch API
  - Headers
  - Method
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>Headers.keys()</strong></code> method returns an {{jsxref("Iteration_protocols",'iterator')}} allowing to go through all keys contained in this object. The keys are {{domxref("ByteString")}} objects.</p>

<div class="note">
<p><strong>Note</strong>: This method is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">headers.keys();</pre>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight:[7]">// Create a test Headers object
var myHeaders = new Headers();
myHeaders.append('Content-Type', 'text/xml');
myHeaders.append('Vary', 'Accept-Language');

// Display the keys
for(var key of myHeaders.keys()) {
   console.log(key);
}
</pre>

<p>The result is:</p>

<pre>content-type
vary</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Headers.keys")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
